Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA.TypeCodePackage
Class Bounds

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.omg.CORBA.UserException
                  org.omg.CORBA.TypeCodePackage.Bounds

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class Bounds

extends UserException

Provides the `TypeCode` operations `member_name()`, `member_type()`, and `member_label`. These methods raise `Bounds` when the index parameter is greater than or equal to the number of members constituting the type.

Since:
  JDK1.2

Constructor Summary
`Bounds()` Constructs a `Bounds` exception with no reason message.
`Bounds(String reason)` Constructs a `Bounds` exception with the specified reason message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Bounds

    public Bounds()

  Constructs a `Bounds` exception with no reason message.

### Bounds

    public Bounds(String reason)

  Constructs a `Bounds` exception with the specified reason message.

  Parameters:
    `reason` - the String containing a reason message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.